# Uses of Class
org.apache.commons.math3.util.BigReal

Packages that use BigReal
Package
Description
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of BigReal in org.apache.commons.math3.util

Fields in org.apache.commons.math3.util declared as BigReal
Modifier and Type
Field
Description
`static final BigReal`
BigReal.`ONE`
A big real representing 1.
`static final BigReal`
BigReal.`ZERO`
A big real representing 0.
Methods in org.apache.commons.math3.util that return BigReal
Modifier and Type
Method
Description
`BigReal`
BigReal.`add(BigReal a)`
Compute this + a.
`BigReal`
BigReal.`divide(BigReal a)`
Compute this ÷ a.
`BigReal`
BigRealField.`getOne()`
Get the multiplicative identity of the field.
`BigReal`
BigRealField.`getZero()`
Get the additive identity of the field.
`BigReal`
BigReal.`multiply(int n)`
Compute n × this.
`BigReal`
BigReal.`multiply(BigReal a)`
Compute this × a.
`BigReal`
BigReal.`negate()`
Returns the additive inverse of `this` element.
`BigReal`
BigReal.`reciprocal()`
Returns the multiplicative inverse of `this` element.
`BigReal`
BigReal.`subtract(BigReal a)`
Compute this - a.
Methods in org.apache.commons.math3.util that return types with arguments of type BigReal
Modifier and Type
Method
Description
`Field<BigReal>`
BigReal.`getField()`
Get the `Field` to which the instance belongs.
`Class<? extends FieldElement<BigReal>>`
BigRealField.`getRuntimeClass()`
Returns the runtime class of the FieldElement.
Methods in org.apache.commons.math3.util with parameters of type BigReal
Modifier and Type
Method
Description
`BigReal`
BigReal.`add(BigReal a)`
Compute this + a.
`int`
BigReal.`compareTo(BigReal a)`
`BigReal`
BigReal.`divide(BigReal a)`
Compute this ÷ a.
`BigReal`
BigReal.`multiply(BigReal a)`
Compute this × a.
`BigReal`
BigReal.`subtract(BigReal a)`
Compute this - a.